cURL
curl --request GET \
--url https://test.deribit.com/api/v2/public/hello \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 2841,
"method": "public/hello",
"params": {
"client_name": "My Trading Software",
"client_version": "1.0.2"
}
}
'import requests
url = "https://test.deribit.com/api/v2/public/hello"
payload = {
"jsonrpc": "2.0",
"id": 2841,
"method": "public/hello",
"params": {
"client_name": "My Trading Software",
"client_version": "1.0.2"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 2841,
method: 'public/hello',
params: {client_name: 'My Trading Software', client_version: '1.0.2'}
})
};
fetch('https://test.deribit.com/api/v2/public/hello', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 8212,
"result": {
"version": "1.2.26"
}
}Supporting
public/hello
Method used to introduce the client software connected to Deribit platform over websocket. Provided data may have an impact on the maintained connection and will be collected for internal statistical purposes. In response, Deribit will also introduce itself.
cURL
Query Parameters
Client software name
Example:
"My Trading Software"
Client software version
Example:
"1.0.2"
Was this page helpful?
⌘I